
#CC	=cc -O
CC	=gcc -O3
#CC	=icc -fast

SIF_F	=sif_f_fast.c
#SIF_F	=sif_f_full.c
#SIF_F	=-DFOF=double sif_f_fast.c
#SIF_F	=-DFOF=double sif_f_full.c

ALL	=his2tm tm2psd txt2t_f t_f2txt

all:	$(ALL)

clean:
	-rm -f $(ALL) *.o

his2tm:	error.c sif_f.h $(SIF_F) his2tm.c
	$(CC) error.c $(SIF_F) his2tm.c -o his2tm

tm2psd:	error.c rif_f.h rif_f.c tm2psd.c
	$(CC) error.c rif_f.c tm2psd.c -lm -o tm2psd

txt2t_f:	error.c sif_f.h $(SIF_F) txt2t_f.c
	$(CC) error.c $(SIF_F) txt2t_f.c -o txt2t_f

t_f2txt:	error.c rif_f.h rif_f.c csi_f.h csi_f.c t_f2txt.c
	$(CC) error.c rif_f.c csi_f.c -DU_C t_f2txt.c -o t_f2txt
